# Interface CLNParseRequestBuilderType

public interface CLNParseRequestBuilderType
A mutable parser request builder.

See Also:
  - `CLNParseRequest`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CLNParseRequest`
  `build()`
  `SeekableByteChannel`
  `channel()`
  `long`
  `descriptorLengthLimit()`
  `long`
  `keyValueDatumLimit()`
  `CLNParseRequestBuilderType`
  `setChannel(SeekableByteChannel inChannel)`
  Set the file channel.
  `CLNParseRequestBuilderType`
  `setDescriptorLengthLimit(long limit)`
  Set the descriptor length limit.
  `CLNParseRequestBuilderType`
  `setKeyValueDatumLimit(long limit)`
  Set the maximum length of a key or value in metadata.
  `CLNParseRequestBuilderType`
  `setSource(URI inSource)`
  Set the file source.
  `URI`
  `source()`

- ## Method Details

  - ### channel

    SeekableByteChannel channel()
    Returns:
      The file channel

  - ### setChannel

    CLNParseRequestBuilderType setChannel(SeekableByteChannel inChannel)
    Set the file channel.
    Parameters:
      `inChannel` - The channel
    Returns:
      this

  - ### source

    URI source()
    Returns:
      The file source

  - ### setSource

    CLNParseRequestBuilderType setSource(URI inSource)
    Set the file source.
    Parameters:
      `inSource` - The source
    Returns:
      this

  - ### descriptorLengthLimit

    long descriptorLengthLimit()
    Returns:
      The descriptor length limit

  - ### setDescriptorLengthLimit

    CLNParseRequestBuilderType setDescriptorLengthLimit(long limit)
    Set the descriptor length limit.
    Parameters:
      `limit` - The limit
    Returns:
      this

  - ### keyValueDatumLimit

    long keyValueDatumLimit()
    Returns:
      The maximum length of a key or value in metadata

  - ### setKeyValueDatumLimit

    CLNParseRequestBuilderType setKeyValueDatumLimit(long limit)
    Set the maximum length of a key or value in metadata.
    Parameters:
      `limit` - The limit
    Returns:
      this

  - ### build

    CLNParseRequest build()
    Returns:
      An immutable parse request